import Client from './Client';
export default class Channel {
    /**
     * The client this channel belongs to.
     */
    client: Client;
    /**
     * The name of this channel.
     */
    name: string;
    /**
     * The ID of this channel.
     */
    readonly id: string;
    /**
     * Represents any kind of channel on Discord.
     *
     * @param {Client} client The client this channel belongs to.
     * @param {any} data The data of this channel.
     */
    constructor(client: Client, data: any);
    /**
     * Initialize the data of this channel.
     *
     * @returns {any} The channel object, or `null`.
     */
    protected init(): any;
}
