"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const TextChannel_1 = __importDefault(require("./TextChannel"));
class Channel {
    /**
     * Represents any kind of channel on Discord.
     *
     * @param {Client} client The client this channel belongs to.
     * @param {any} data The data of this channel.
     */
    constructor(client, data) {
        /**
         * The client this channel belongs to.
         */
        this.client = null;
        /**
         * The name of this channel.
         */
        this.name = null;
        this.client = client;
        this.id = data.id;
        this.name = data.name;
    }
    /**
     * Initialize the data of this channel.
     *
     * @returns {any} The channel object, or `null`.
     */
    init() {
        if (this instanceof TextChannel_1.default) {
            return this;
        }
    }
}
exports.default = Channel;
