"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const BitsBlock_1 = __importDefault(require("./blocks/BitsBlock"));
const Constants_1 = require("../util/Constants");
class Intents extends BitsBlock_1.default {
    /**
     * Intents are used by Discord to selectively send the
     * client data, whilst not sending data that isn't
     * needed. Intents are required to be set to use
     * Birb.JS.
     *
     * @param {number} flags The flags to set.
     */
    constructor(...flags) {
        super(...flags);
    }
}
exports.default = Intents;
/**
 * The available Intents.
 */
Intents.FLAGS = Constants_1.Intents;
