import Client from './Client';
import PartialUser from './PartialUser';
import PermissionOverwrite from './PermissionOverwrite';
import User from './User';
export default class UserPermissionOverwrite extends PermissionOverwrite {
    /**
     * The user this overwrite belongs to.
     */
    user: User | PartialUser;
    /**
     * A UserPermissionOverwrite represents a user
     * overwrite for a channel on Discord.
     *
     * @param {Client} client The client this overwrite belongs to.
     * @param {User | PartialUser} user The user this overwrite belongs to.
     * @param {number} allow The allowed permissions.
     * @param {number} deny The denied permissions.
     */
    constructor(client: Client, user: User | PartialUser, allow?: number, deny?: number);
}
