"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const PermissionOverwrite_1 = __importDefault(require("./PermissionOverwrite"));
class UserPermissionOverwrite extends PermissionOverwrite_1.default {
    /**
     * A UserPermissionOverwrite represents a user
     * overwrite for a channel on Discord.
     *
     * @param {Client} client The client this overwrite belongs to.
     * @param {User | PartialUser} user The user this overwrite belongs to.
     * @param {number} allow The allowed permissions.
     * @param {number} deny The denied permissions.
     */
    constructor(client, user, allow = 0, deny = 0) {
        super(client, allow, deny);
        /**
         * The user this overwrite belongs to.
         */
        this.user = null;
        this.user = user;
    }
}
exports.default = UserPermissionOverwrite;
