"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CachedBlock {
    /**
     * A CachedBlock is the base class for all blocks that
     * cache data.
     *
     * @param {Client} client The client to use.
     * @param {Cache} cache The cache to use.
     */
    constructor(client, cache) {
        /**
         * The client that initilized this block.
         */
        this.client = null;
        /**
         * This block's cache.
         */
        this.cache = null;
        this.client = client;
        this.cache = cache;
    }
}
exports.default = CachedBlock;
