import Client from '../Client';
import GuildChannel from '../GuildChannel';
import PermissionOverwrite from '../PermissionOverwrite';
export default class ChannelPermissionsBlock {
    /**
     * The client that initiliazed the block.
     */
    client: Client;
    /**
     * The channel this permissions block is for.
     */
    channel: GuildChannel;
    /**
     * The list of permission overwrites.
     */
    overwrites: PermissionOverwrite[];
    /**
     * A ChannelPermissionsBlock stores data about channel
     * permissions.
     *
     * @param {Client} client The client instance.
     * @param {GuildChannel} channel The channel this permissions block is for.
     * @param {any[]} overwrites The data to parse.
     */
    constructor(client: Client, channel: GuildChannel, overwrites: any[]);
}
