import Guild from '../Guild';
import Client from '../Client';
import { GuildResolvable } from '../../util/Types';
import CachedBlock from './CachedBlock';
export default class GuildBlock extends CachedBlock {
    /**
     * A GuildBlock stores guild data.
     *
     * @param {Client} client The client instance.
     * @param {any} [options] The Cache options.
     */
    constructor(client: Client, options?: any);
    /**
     * Fetches a guild from the cache or Discord if it is
     * not already cached.
     *
     * @param {GuildResolvable | Object} options The options to use.
     * @returns {Promise<Guild>} The guild.
     */
    fetch(options: GuildResolvable | {
        guild: GuildResolvable;
        shouldCache?: boolean;
        bypassCache?: boolean;
    }): Promise<Guild>;
}
