"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CachedBlock_1 = __importDefault(require("./CachedBlock"));
const CCache_1 = __importDefault(require("../cache/CCache"));
class GuildMemberRoleBlock extends CachedBlock_1.default {
    /**
     * A GuildMemberRoleBlock stores data on a guild
     * guild member's roles.
     *
     * @param {Client} client The client instance.
     * @param {any} [options] The Cache options.
     */
    constructor(client, options) {
        super(client, new CCache_1.default(client, options));
    }
}
exports.default = GuildMemberRoleBlock;
