"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CachedBlock_1 = __importDefault(require("./CachedBlock"));
const CGCache_1 = __importDefault(require("../cache/CGCache"));
class RoleBlock extends CachedBlock_1.default {
    /**
     * A RoleBlock stores information on roles.
     *
     * @param {Client} client The client instance.
     * @param {Guild} guild The guild instance.
     * @param {any} [options] The Cache options.
     */
    constructor(client, guild, options) {
        super(client, new CGCache_1.default(client, guild, options));
    }
}
exports.default = RoleBlock;
