import Client from '../Client';
import Cache from './Cache';
export default class CCache extends Cache {
    /**
     * The Client that initialized the cache.
     */
    client: Client;
    /**
     * Creates a new CCache instance.
     *
     * @param {Client} client The client instance.
     * @param {object} [options] The Cache options.
     * @param {number} [options.maxSize=null] The maximum size of the cache.
     * @param {number} [options.maxAge=null] The maximum age (in seconds) of the values in the cache.
     * @param {number} [options.checkInterval=60] The interval (in seconds) to check for old values in the cache.
     * @param {boolean} [options.removeOldest=true] Whether to remove the oldest values when the cache is full.
     */
    constructor(client: Client, options?: {
        maxSize?: number;
        maxAge?: number;
        checkInterval?: number;
        removeOldest?: boolean;
    });
    strip(data: any): any;
    rebuild(data: any): any;
}
