"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Role_1 = __importDefault(require("../../Role"));
async function GUILD_ROLE_UPDATE(ws, data) {
    if (!data.guild_id)
        return;
    let guild = await ws.client.guilds.fetch(data.guild_id);
    ws.client.debug(`received role update: ${data.role.id} / ${guild.id}`);
    let role = Role_1.default['handleUpdate'](ws.client, data.role, guild);
    ws.client.emit('roleUpdate', role);
}
exports.default = GUILD_ROLE_UPDATE;
