"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Addons = exports.UserPermissionOverwrite = exports.User = exports.ThreadChannel = exports.TextChannel = exports.TextBasedChannel = exports.RolePermissionOverwrite = exports.Role = exports.Permissions = exports.PermissionOverwrite = exports.PartialUser = exports.Message = exports.Intents = exports.GuildMember = exports.GuildChannel = exports.Guild = exports.ClientUser = exports.Client = exports.Channel = exports.BaseUser = exports.InternalWebsocket = exports.Websocket = exports.MessageAttachment = exports.BaseComponent = exports.MessageEmbed = exports.EmbedMedia = exports.EmbedFooter = exports.EmbedField = exports.EmbedChild = exports.EmbedAuthor = exports.Request = exports.HTTPUser = exports.HTTPGuild = exports.HTTPChannel = exports.CGCache = exports.CCache = exports.Cache = exports.UserBlock = exports.RolePermissionsBlock = exports.RoleBlock = exports.PermissionsBlock = exports.MessageBlock = exports.GuildMemberRoleBlock = exports.GuildMemberBlock = exports.GuildBlock = exports.ChannelPermissionsBlock = exports.ChannelBlock = exports.CachedBlock = exports.BitsBlock = exports.Snowflake = void 0;
exports._test = exports.Validator = exports.WebhookTypes = exports.VisibilityTypes = exports.UserFlags = exports.SystemChannelFlags = exports.StickerTypes = exports.StickerFormatTypes = exports.StageInstancePrivacyLevel = exports.PremiumTier = exports.InviteTargetTypes = exports.GuildScheduledEventsPrivacyLevel = exports.GuildScheduledEventsEntityTypes = exports.ChannelTypes = exports.SystemMessageTypes = exports.MessageTypes = exports.MessageFlags = exports.ActivityType = exports.GatewayCloseCode = exports.PacketOperation = exports.WebsocketStatus = exports.VerificationLevel = exports.NotificationLevel = exports.ExplicitContentFilterLevel = exports.MFALevel = exports.NSFWLevel = exports.IntentFlags = exports.Color = void 0;
/*
 * WHEN EDITING THIS, THERE ARE SOME RULES WE NEED TO READ,
 * FOLLOW, AND BE AWARE OF:
 *
 *  - If importing a class, type, enum or other property,
 *    you must add it in alphabetical order. It must also
 *    be sorted based on the file structure. Usually, your
 *    IDE should show this for you.
 *  - When exporting, you should add the properties in the
 *    order they're imported.
 *  - Do not modify this comment.
 */
const snowflake_1 = require("@sapphire/snowflake");
Object.defineProperty(exports, "Snowflake", { enumerable: true, get: function () { return snowflake_1.Snowflake; } });
const BitsBlock_1 = __importDefault(require("./classes/blocks/BitsBlock"));
exports.BitsBlock = BitsBlock_1.default;
const CachedBlock_1 = __importDefault(require("./classes/blocks/CachedBlock"));
exports.CachedBlock = CachedBlock_1.default;
const ChannelBlock_1 = __importDefault(require("./classes/blocks/ChannelBlock"));
exports.ChannelBlock = ChannelBlock_1.default;
const ChannelPermissionsBlock_1 = __importDefault(require("./classes/blocks/ChannelPermissionsBlock"));
exports.ChannelPermissionsBlock = ChannelPermissionsBlock_1.default;
const GuildBlock_1 = __importDefault(require("./classes/blocks/GuildBlock"));
exports.GuildBlock = GuildBlock_1.default;
const GuildMemberBlock_1 = __importDefault(require("./classes/blocks/GuildMemberBlock"));
exports.GuildMemberBlock = GuildMemberBlock_1.default;
const GuildMemberRoleBlock_1 = __importDefault(require("./classes/blocks/GuildMemberRoleBlock"));
exports.GuildMemberRoleBlock = GuildMemberRoleBlock_1.default;
const MessageBlock_1 = __importDefault(require("./classes/blocks/MessageBlock"));
exports.MessageBlock = MessageBlock_1.default;
const PermissionsBlock_1 = __importDefault(require("./classes/blocks/PermissionsBlock"));
exports.PermissionsBlock = PermissionsBlock_1.default;
const RoleBlock_1 = __importDefault(require("./classes/blocks/RoleBlock"));
exports.RoleBlock = RoleBlock_1.default;
const RolePermissionsBlock_1 = __importDefault(require("./classes/blocks/RolePermissionsBlock"));
exports.RolePermissionsBlock = RolePermissionsBlock_1.default;
const UserBlock_1 = __importDefault(require("./classes/blocks/UserBlock"));
exports.UserBlock = UserBlock_1.default;
const Cache_1 = __importDefault(require("./classes/cache/Cache"));
exports.Cache = Cache_1.default;
const CCache_1 = __importDefault(require("./classes/cache/CCache"));
exports.CCache = CCache_1.default;
const CGCache_1 = __importDefault(require("./classes/cache/CGCache"));
exports.CGCache = CGCache_1.default;
const HTTPChannel_1 = __importDefault(require("./classes/http/HTTPChannel"));
exports.HTTPChannel = HTTPChannel_1.default;
const HTTPGuild_1 = __importDefault(require("./classes/http/HTTPGuild"));
exports.HTTPGuild = HTTPGuild_1.default;
const HTTPUser_1 = __importDefault(require("./classes/http/HTTPUser"));
exports.HTTPUser = HTTPUser_1.default;
const Request_1 = __importDefault(require("./classes/http/Request"));
exports.Request = Request_1.default;
const EmbedAuthor_1 = __importDefault(require("./classes/message/embed/EmbedAuthor"));
exports.EmbedAuthor = EmbedAuthor_1.default;
const EmbedChild_1 = __importDefault(require("./classes/message/embed/EmbedChild"));
exports.EmbedChild = EmbedChild_1.default;
const EmbedField_1 = __importDefault(require("./classes/message/embed/EmbedField"));
exports.EmbedField = EmbedField_1.default;
const EmbedFooter_1 = __importDefault(require("./classes/message/embed/EmbedFooter"));
exports.EmbedFooter = EmbedFooter_1.default;
const EmbedMedia_1 = __importDefault(require("./classes/message/embed/EmbedMedia"));
exports.EmbedMedia = EmbedMedia_1.default;
const MessageEmbed_1 = __importDefault(require("./classes/message/embed/MessageEmbed"));
exports.MessageEmbed = MessageEmbed_1.default;
const BaseComponent_1 = __importDefault(require("./classes/message/BaseComponent"));
exports.BaseComponent = BaseComponent_1.default;
const MessageAttachment_1 = __importDefault(require("./classes/message/MessageAttachment"));
exports.MessageAttachment = MessageAttachment_1.default;
const InternalWebsocket_1 = __importDefault(require("./classes/websocket/InternalWebsocket"));
exports.InternalWebsocket = InternalWebsocket_1.default;
const Websocket_1 = __importDefault(require("./classes/websocket/Websocket"));
exports.Websocket = Websocket_1.default;
const BaseUser_1 = __importDefault(require("./classes/BaseUser"));
exports.BaseUser = BaseUser_1.default;
const Channel_1 = __importDefault(require("./classes/Channel"));
exports.Channel = Channel_1.default;
const Client_1 = __importDefault(require("./classes/Client"));
exports.Client = Client_1.default;
const ClientUser_1 = __importDefault(require("./classes/ClientUser"));
exports.ClientUser = ClientUser_1.default;
const Guild_1 = __importDefault(require("./classes/Guild"));
exports.Guild = Guild_1.default;
const GuildChannel_1 = __importDefault(require("./classes/GuildChannel"));
exports.GuildChannel = GuildChannel_1.default;
const GuildMember_1 = __importDefault(require("./classes/GuildMember"));
exports.GuildMember = GuildMember_1.default;
const Intents_1 = __importDefault(require("./classes/Intents"));
exports.Intents = Intents_1.default;
const Message_1 = __importDefault(require("./classes/Message"));
exports.Message = Message_1.default;
const PartialUser_1 = __importDefault(require("./classes/PartialUser"));
exports.PartialUser = PartialUser_1.default;
const PermissionOverwrite_1 = __importDefault(require("./classes/PermissionOverwrite"));
exports.PermissionOverwrite = PermissionOverwrite_1.default;
const Permissions_1 = __importDefault(require("./classes/Permissions"));
exports.Permissions = Permissions_1.default;
const Role_1 = __importDefault(require("./classes/Role"));
exports.Role = Role_1.default;
const RolePermissionOverwrite_1 = __importDefault(require("./classes/RolePermissionOverwrite"));
exports.RolePermissionOverwrite = RolePermissionOverwrite_1.default;
const TextBasedChannel_1 = __importDefault(require("./classes/TextBasedChannel"));
exports.TextBasedChannel = TextBasedChannel_1.default;
const TextChannel_1 = __importDefault(require("./classes/TextChannel"));
exports.TextChannel = TextChannel_1.default;
const ThreadChannel_1 = __importDefault(require("./classes/ThreadChannel"));
exports.ThreadChannel = ThreadChannel_1.default;
const User_1 = __importDefault(require("./classes/User"));
exports.User = User_1.default;
const UserPermissionOverwrite_1 = __importDefault(require("./classes/UserPermissionOverwrite"));
exports.UserPermissionOverwrite = UserPermissionOverwrite_1.default;
const Addons_1 = __importDefault(require("./util/Addons"));
exports.Addons = Addons_1.default;
const Color_1 = __importDefault(require("./util/Color"));
exports.Color = Color_1.default;
const Constants_1 = require("./util/Constants");
Object.defineProperty(exports, "ActivityType", { enumerable: true, get: function () { return Constants_1.ActivityType; } });
Object.defineProperty(exports, "ChannelTypes", { enumerable: true, get: function () { return Constants_1.ChannelTypes; } });
Object.defineProperty(exports, "ExplicitContentFilterLevel", { enumerable: true, get: function () { return Constants_1.ExplicitContentFilterLevel; } });
Object.defineProperty(exports, "GatewayCloseCode", { enumerable: true, get: function () { return Constants_1.GatewayCloseCode; } });
Object.defineProperty(exports, "GuildScheduledEventsEntityTypes", { enumerable: true, get: function () { return Constants_1.GuildScheduledEventsEntityTypes; } });
Object.defineProperty(exports, "GuildScheduledEventsPrivacyLevel", { enumerable: true, get: function () { return Constants_1.GuildScheduledEventsPrivacyLevel; } });
Object.defineProperty(exports, "IntentFlags", { enumerable: true, get: function () { return Constants_1.Intents; } });
Object.defineProperty(exports, "InviteTargetTypes", { enumerable: true, get: function () { return Constants_1.InviteTargetTypes; } });
Object.defineProperty(exports, "MFALevel", { enumerable: true, get: function () { return Constants_1.MFALevel; } });
Object.defineProperty(exports, "MessageFlags", { enumerable: true, get: function () { return Constants_1.MessageFlags; } });
Object.defineProperty(exports, "MessageTypes", { enumerable: true, get: function () { return Constants_1.MessageTypes; } });
Object.defineProperty(exports, "NSFWLevel", { enumerable: true, get: function () { return Constants_1.NSFWLevel; } });
Object.defineProperty(exports, "NotificationLevel", { enumerable: true, get: function () { return Constants_1.NotificationLevel; } });
Object.defineProperty(exports, "PacketOperation", { enumerable: true, get: function () { return Constants_1.PacketOperation; } });
Object.defineProperty(exports, "PremiumTier", { enumerable: true, get: function () { return Constants_1.PremiumTier; } });
Object.defineProperty(exports, "StageInstancePrivacyLevel", { enumerable: true, get: function () { return Constants_1.StageInstancePrivacyLevel; } });
Object.defineProperty(exports, "WebsocketStatus", { enumerable: true, get: function () { return Constants_1.Status; } });
Object.defineProperty(exports, "StickerFormatTypes", { enumerable: true, get: function () { return Constants_1.StickerFormatTypes; } });
Object.defineProperty(exports, "StickerTypes", { enumerable: true, get: function () { return Constants_1.StickerTypes; } });
Object.defineProperty(exports, "SystemChannelFlags", { enumerable: true, get: function () { return Constants_1.SystemChannelFlags; } });
Object.defineProperty(exports, "SystemMessageTypes", { enumerable: true, get: function () { return Constants_1.SystemMessageTypes; } });
Object.defineProperty(exports, "UserFlags", { enumerable: true, get: function () { return Constants_1.UserFlags; } });
Object.defineProperty(exports, "VerificationLevel", { enumerable: true, get: function () { return Constants_1.VerificationLevel; } });
Object.defineProperty(exports, "VisibilityTypes", { enumerable: true, get: function () { return Constants_1.VisibilityTypes; } });
Object.defineProperty(exports, "WebhookTypes", { enumerable: true, get: function () { return Constants_1.WebhookTypes; } });
const Validator_1 = __importDefault(require("./util/Validator"));
exports.Validator = Validator_1.default;
function _test() {
    console.info('test passed; index.ts is valid');
}
exports._test = _test;
