import BaseUser from '../classes/BaseUser';
import Channel from '../classes/Channel';
import ClientUser from '../classes/ClientUser';
import Guild from '../classes/Guild';
import Embed from '../classes/message/embed/MessageEmbed';
import MessageAttachment from '../classes/message/MessageAttachment';
import Role from '../classes/Role';
import User from '../classes/User';
import type { APIEmbed } from 'discord-api-types/v9';
export declare type GuildResolvable = Guild | string;
export declare type RoleResolvable = Role | string;
export declare type ChannelResolvable = Channel | string;
export declare type UserResolvable = User | ClientUser | BaseUser | string;
export declare type EventResolvable = 'ready' | 'waitingForGuilds' | 'guildAvailable' | 'guildCreate' | 'guildUpdate' | 'message';
export declare type ActivityStatus = 'online' | 'idle' | 'dnd' | 'invisible';
export declare type MessageContent = string | RequireOnlyOne<{
    content?: string;
    embeds?: Embed[] | APIEmbed[];
    tts?: boolean;
    nonce?: string;
    mentionRepliedUser?: boolean;
    attachments?: MessageAttachment[];
    allowedMentions?: {
        parse?: 'users' | 'roles' | 'everyone';
        users?: UserResolvable[];
        roles?: RoleResolvable[];
    };
}, 'content' | 'embeds'>;
declare type RequireOnlyOne<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
    [K in Keys]-?: Required<Pick<T, K>> & Partial<Record<Exclude<Keys, K>, undefined>>;
}[Keys];
export {};
